Bug 11717 - Use new DataTables include in member templates
Summary: Use new DataTables include in member templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 19:37 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11717 - Use new DataTables include in member templates (7.49 KB, patch)
2014-02-07 20:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11717 - Use new DataTables include in member templates (7.50 KB, patch)
2014-02-25 03:31 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11717 - Use new DataTables include in member templates (7.60 KB, patch)
2014-02-25 10:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-07 19:37:45 UTC
Member templates which use the DataTables plugin should be updated to use the new DataTables include file introduced by Bug 10649.
Comment 1 Owen Leonard 2014-02-07 20:50:23 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2014-02-25 03:31:10 UTC
Patch tested with a sandbox, by Aleisha <aleishaamohia@hotmail.com>
Comment 3 sandboxes@biblibre.com 2014-02-25 03:31:30 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-02-25 10:37:37 UTC
Created attachment 25613 [details] [review]
Bug 11717 - Use new DataTables include in member templates

Bug 10649 introduced a new include file for adding DataTables-related
JavaScript assets. This patch adds use of this include file to all
member pages which use DataTables.

Apply the patch and test the following pages to confirm that table
sorting works correctly:

- Patron details (members/moremember.pl)
  - The checkouts, relatives' checkouts, and holds tables have been
    modified to exclude articles when sorting of titles.

- Notices (members/notices.pl)
- Circulation history (members/readingrec.pl)
- Statistics (members/statistics.pl)
- Update child to adult patron (members/update-child.pl) - This is the
  page which appears in a pop-up when you update a child patron to an
  adult (from the "More" menu in the toolbar when viewing patron
  details).

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2014-02-27 16:10:27 UTC
Pushed to master.  Thanks, Owen!
Comment 6 Fridolin Somers 2014-05-21 09:41:40 UTC
Pushed to 3.14.x, will be in 3.14.07